// Note: not Documents, but this.Documents, because of the editing package (?)
this.Documents = new Mongo.Collection("documents");

if (Meteor.isClient) {
  Meteor.setInterval(function () {
    Session.set("current_date", new Date());
  }, 1000);

  Template.date_display.helpers({
    current_date: function () {
      return Session.get("current_date");
    }
  });

  Template.editor.helpers({
    docid: function () {
      let doc = Documents.findOne();
      return doc ? doc._id : undefined;
    }
  });

}

if (Meteor.isServer) {
  Meteor.startup(function () {
    // startup code that creates a document in case there isn't one yet.
    if (!Documents.findOne()) {
      Documents.insert({ title: "my new document" });
    }
  });
}
